//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using CommunityServer.Components;

namespace CommunityServer.Blogs.Components
{
	/// <summary>
	/// Summary description for ShortLink.
	/// </summary>
	public class ShortLink : System.Web.IHttpHandler
	{
		public ShortLink()
		{
			//
			// TODO: Add constructor logic here
			//
        }
        #region IHttpHandler Members

        public void ProcessRequest(System.Web.HttpContext context)
        {
           if(context.Request.QueryString["PostID"] != null)
           {
               int PostID = Int32.Parse(context.Request.QueryString["PostID"]);
               WeblogPost post = WeblogPosts.GetPost(PostID,false,true,true);
               if(post != null)
               {
                   context.Response.Redirect(BlogUrls.Instance().Post(post, post.Weblog));
                   context.Response.End();
               }
           }

            context.Response.Redirect(BlogUrls.Instance().Home);
            context.Response.End();
        }

        public bool IsReusable
        {
            get
            {
                // TODO:  Add ShortLink.IsReusable getter implementation
                return false;
            }
        }

        #endregion
    }
}
